Subject: Re: [PATCH 02/12] net: ethernet: smsc: smc911x: Mark 'status' as __maybe_unused

From: Lee Jones <[email-masked]>
Date: Wed, 4 Nov 2020 14:38:26 +0000

On Wed, 04 Nov 2020, Lee Jones wrote:

> On Wed, 04 Nov 2020, Andrew Lunn wrote:
> 
> > On Wed, Nov 04, 2020 at 09:06:00AM +0000, Lee Jones wrote:
> > > 'status' is used to interact with a hardware register.  It might not
> > > be safe to remove it entirely.  Mark it as __maybe_unused instead.
> > 
> > Hi Lee
> > 
> > https://www.mail-archive.com/[email-masked]/msg365875.html
> > 
> > I'm working on driver/net/ethernet and net to make it w=1 clean.  I
> > suggest you hang out on the netdev mailing list so you don't waste
> > your time reproducing what i am doing.
> 
> I believe that ship has sailed.  Net should be clean now.
> 
> It was it pretty good shape considering.  Only 2 sets.
> 
> Wireless alone was more like 4.  And SCSI, well ... :D
> 
> Maybe that was down to some of your previous efforts? 

Our of interest, are you planning on working on any other areas?

I'm slowly working my way through the whole kernel.

Completed so far:

 - ASoC
 - backlight
 - cpufreq
 - crypto
 - dmaengine
 - gpio
 - hwmon
 - iio
 - input
 - mfd
 - misc
 - mmc
 - mtd
 - net
 - pinctrl
 - pwm
 - regulator
 - remoteproc
 - scsi
 - soc
 - spi
 - tty
 - usb
 - wireless 

-- 
Lee Jones [李琼斯]
Senior Technical Lead - Developer Services
Linaro.org │ Open source software for Arm SoCs
Follow Linaro: Facebook | Twitter | Blog